/*!
\file timer.h
\brief Class definition for Timer
\author Nicholas Phillips, phillips@friday.gsfc.nasa.gov
\date Oct 21, 2003
*/

#ifndef TIMER_H
#define TIMER_H

#include <sys/time.h>

/*!
	A simple timer for testing purposes.
@author Nicholas Phillips
*/
class Timer{
public:
    Timer();
    ~Timer();
	void start() { gettimeofday(&start_t, 0); running = true; }
	void lapse() { gettimeofday(&stop_t, 0); }
	void stop() { gettimeofday(&stop_t, 0);  running = false;}
	double elapsed();
private:
	timeval start_t;
	timeval stop_t;
	bool running;
};

#endif
